import request from '@/utils/request'

export function getJiazhengList(data = {}) {
  return request({
    url: '/app/user/jiazheng/list',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
// 阿里云 上传
export function getAliyunPolicy(data = {}) {
  return request({
    url: '/app/file/policy',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getJiazhengLeixing(data = {}) {
  return request({
    url: '/app/user/jiazheng/ops/leixing',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getJiazhengJineng(data = {}) {
  return request({
    url: '/app/user/jiazheng/ops/jineng',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getJiazhengZhuangtai(data = {}) {
  return request({
    url: '/app/user/jiazheng/ops/zhuangtai',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getBaozhengJigou(data = {}) {
  return request({
    url: '/app/user/jiazheng/ops/jigou',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getJiazhengLevel(data = {}) {
  return request({
    url: '/app/user/jiazheng/ops/level',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getJiazhengZhiye(data = {}) {
  return request({
    url: '/app/user/jiazheng/ops/zhiye',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getJiazhengXueli(data = {}) {
  return request({
    url: '/app/user/jiazheng/ops/xueli',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getJiazhengHunyin(data = {}) {
  return request({
    url: '/app/user/jiazheng/ops/hunyin',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getJiazhengMinzu(data = {}) {
  return request({
    url: '/app/user/jiazheng/ops/minzu',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getJiazhengXingzuo(data = {}) {
  return request({
    url: '/app/user/jiazheng/ops/xingzuo',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getJiazhengShuxiang(data = {}) {
  return request({
    url: '/app/user/jiazheng/ops/shuxiang',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getJiazhengJiguan(data = {}) {
  return request({
    url: '/app/user/jiazheng/tree/city',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getJiazhengBanzhengCheckKc(data = {}) {
  return request({
    url: '/app/user/jiazheng/kaozheng/check/kecheng',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getJiazhengJianli(data = {}) {
  return request({
    url: '/app/user/jiazheng/jianli',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getJiazhengInfo(data = {}) {
  return request({
    url: '/app/user/jiazheng/info',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function jiazhengAdd(data = {}) {
  return request({
    url: '/app/user/jiazheng/add',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function jiazhengUpdate(data = {}) {
  return request({
    url: '/app/user/jiazheng/update',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
